using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace banco1.presentacion
{
	public class FListaDeTarjetas : banco1.presentacion.FLista
	{
		private System.ComponentModel.IContainer components = null;

		public FListaDeTarjetas()
		{
			// Llamada necesaria para el Diseñador de Windows Forms.
			InitializeComponent();
		}

		public FListaDeTarjetas(String titulo, ArrayList datos) : base(titulo, datos)
		{
			// Llamada necesaria para el Diseñador de Windows Forms.
			InitializeComponent();

			this.Text=titulo;
		}

		/// <summary>
		/// Limpiar los recursos que se estén utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Código generado por el diseñador
		/// <summary>
		/// Método necesario para admitir el Diseñador. No se puede modificar
		/// el contenido del método con el editor de código.
		/// </summary>
		private void InitializeComponent()
		{
			this.SuspendLayout();
			// 
			// listView1
			// 
			this.listView1.Name = "listView1";
			// 
			// FListaDeTarjetas
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(744, 342);
			this.Name = "FListaDeTarjetas";
			this.Text = "Tarjetas";
			this.ResumeLayout(false);

		}
		#endregion

		protected override void cargaDatos() 
		{
			this.listView1.Columns[1].Width=100;
			this.listView1.Columns[2].Width=100;
			for (int i=1; i<this.mDatos.Count; i++) 
			{
				object[] filaDeDatos=(object[]) mDatos[i];
				ListViewItem fila = new ListViewItem();
				for (int j=0; j<filaDeDatos.Length; j++)
					fila.SubItems.Add(filaDeDatos[j].ToString());
				listView1.Items.Add(fila);
			}
		}
	}
}

